/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.EntCosmos;

import java.io.Serializable;
import java.math.BigDecimal;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
 * @author obper
 */
@Embeddable
public class ConsultorpromocionPK implements Serializable {
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 6)
    @Column(name = "consultor_codigo")
    private String consultorCodigo;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 6)
    @Column(name = "factura_codigo")
    private String facturaCodigo;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 2)
    @Column(name = "factura_serie")
    private String facturaSerie;
    // @Max(value=?)  @Min(value=?)//if you know range of your decimal fields consider using these annotations to enforce field validation
    @Basic(optional = false)
    @NotNull
    @Column(name = "consultor_promocion_sin_descuento")
    private BigDecimal consultorPromocionSinDescuento;
    @Basic(optional = false)
    @NotNull
    @Column(name = "numero_promocion")
    private short numeroPromocion;

    public ConsultorpromocionPK() {
    }

    public ConsultorpromocionPK(String consultorCodigo, String facturaCodigo, String facturaSerie, BigDecimal consultorPromocionSinDescuento, short numeroPromocion) {
        this.consultorCodigo = consultorCodigo;
        this.facturaCodigo = facturaCodigo;
        this.facturaSerie = facturaSerie;
        this.consultorPromocionSinDescuento = consultorPromocionSinDescuento;
        this.numeroPromocion = numeroPromocion;
    }

    public String getConsultorCodigo() {
        return consultorCodigo;
    }

    public void setConsultorCodigo(String consultorCodigo) {
        this.consultorCodigo = consultorCodigo;
    }

    public String getFacturaCodigo() {
        return facturaCodigo;
    }

    public void setFacturaCodigo(String facturaCodigo) {
        this.facturaCodigo = facturaCodigo;
    }

    public String getFacturaSerie() {
        return facturaSerie;
    }

    public void setFacturaSerie(String facturaSerie) {
        this.facturaSerie = facturaSerie;
    }

    public BigDecimal getConsultorPromocionSinDescuento() {
        return consultorPromocionSinDescuento;
    }

    public void setConsultorPromocionSinDescuento(BigDecimal consultorPromocionSinDescuento) {
        this.consultorPromocionSinDescuento = consultorPromocionSinDescuento;
    }

    public short getNumeroPromocion() {
        return numeroPromocion;
    }

    public void setNumeroPromocion(short numeroPromocion) {
        this.numeroPromocion = numeroPromocion;
    }

//    @Override
//    public int hashCode() {
//        int hash = 0;
//        hash += (consultorCodigo != null ? consultorCodigo.hashCode() : 0);
//        hash += (facturaCodigo != null ? facturaCodigo.hashCode() : 0);
//        hash += (facturaSerie != null ? facturaSerie.hashCode() : 0);
//        hash += (consultorPromocionSinDescuento != null ? consultorPromocionSinDescuento.hashCode() : 0);
//        hash += (int) numeroPromocion;
//        return hash;
//    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof ConsultorpromocionPK)) {
            return false;
        }
        ConsultorpromocionPK other = (ConsultorpromocionPK) object;
        if ((this.consultorCodigo == null && other.consultorCodigo != null) || (this.consultorCodigo != null && !this.consultorCodigo.equals(other.consultorCodigo))) {
            return false;
        }
        if ((this.facturaCodigo == null && other.facturaCodigo != null) || (this.facturaCodigo != null && !this.facturaCodigo.equals(other.facturaCodigo))) {
            return false;
        }
        if ((this.facturaSerie == null && other.facturaSerie != null) || (this.facturaSerie != null && !this.facturaSerie.equals(other.facturaSerie))) {
            return false;
        }
        if ((this.consultorPromocionSinDescuento == null && other.consultorPromocionSinDescuento != null) || (this.consultorPromocionSinDescuento != null && !this.consultorPromocionSinDescuento.equals(other.consultorPromocionSinDescuento))) {
            return false;
        }
        if (this.numeroPromocion != other.numeroPromocion) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.cosmodas.dbcon.ConsultorpromocionPK[ consultorCodigo=" + consultorCodigo + ", facturaCodigo=" + facturaCodigo + ", facturaSerie=" + facturaSerie + ", consultorPromocionSinDescuento=" + consultorPromocionSinDescuento + ", numeroPromocion=" + numeroPromocion + " ]";
    }

}
